diff --git a/libmscore/score.cpp b/libmscore/score.cpp
index 235061f..ff78942 100644
--- a/libmscore/score.cpp
+++ b/libmscore/score.cpp
@@ -70,6 +70,7 @@
 #include "rehearsalmark.h"
 #include "breath.h"
 #include "instrchange.h"
+#include "tie.h"
 
 namespace Ms {
 
@@ -1377,6 +1378,13 @@ void Score::removeElement(Element* element)
 
       Element::Type et = element->type();
 
+      if (et == Element::Type::TIE_SEGMENT) {
+            TieSegment* ts = toTieSegment(element);
+            Tie* tie = ts->tie();
+            removeElement(tie);
+            return;
+            }
+
       if (et == Element::Type::MEASURE
          || (et == Element::Type::HBOX && !parent->isVBox())
          || et == Element::Type::VBOX
diff --git a/libmscore/system.cpp b/libmscore/system.cpp
index 45488dc..93cc14b 100644
--- a/libmscore/system.cpp
+++ b/libmscore/system.cpp
@@ -750,6 +750,7 @@ void System::remove(Element* el)
             case Element::Type::TRILL_SEGMENT:
             case Element::Type::VOLTA_SEGMENT:
             case Element::Type::SLUR_SEGMENT:
+            case Element::Type::TIE_SEGMENT:
             case Element::Type::PEDAL_SEGMENT:
             case Element::Type::LYRICSLINE_SEGMENT:
             case Element::Type::GLISSANDO_SEGMENT:
